Exodus Movement, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/exodus-movement-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1769817600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.exodus.com/investors/news-events/press-releases/detail/97/exodus-movement-inc-january-2026-treasury-update-and-monthly-metrics",
    "holding_balance": 1694.0,
    "holding_net_change": -10.0,
    "transaction_value_usd": 786210.1,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1772236800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.exodus.com/investors/news-events/press-releases/detail/101/exodus-movement-inc-march-2026-treasury-update-and-monthly-metrics",
    "holding_balance": 610.0,
    "holding_net_change": -1084.0,
    "transaction_value_usd": 72610601.8,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774915200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.exodus.com/investors/news-events/press-releases/detail/101/exodus-movement-inc-march-2026-treasury-update-and-monthly-metrics",
    "holding_balance": 628.0,
    "holding_net_change": 18.0,
    "transaction_value_usd": 1226998.98,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    628.0
  ],
  [
    1779062400000,
    628.0
  ],
  [
    1779148800000,
    628.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    48625952.08
  ],
  [
    1779062400000,
    48321001.56
  ],
  [
    1779148800000,
    48205286.279999994
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 6.41,
    "date": "2026-05-15",
    "high": 6.99,
    "open": 6.85,
    "close": 6.43,
    "volume": 90700
  },
  {
    "low": 6.47,
    "date": "2026-05-18",
    "high": 7.245,
    "open": 6.68,
    "close": 7.22,
    "volume": 52600
  },
  {
    "low": 6.85,
    "date": "2026-05-19",
    "high": 7.17,
    "open": 7.01,
    "close": 7.08,
    "volume": 44737
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.57,
  "quarterly_earnings_growth": 19.237,
  "eps_estimate_current_quarter": 0.04
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -10.94,
  "six_month_return": -59.08,
  "three_month_return": -28.34
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/exodus-movement-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 22.9,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}